ui.controller

## Class ConsoleController

- java.lang.Object
- - ui.controller.ConsoleController

    public class ConsoleController
    extends java.lang.Object

Controller for the Canvas.

Author:
  Gruppe14

### Constructor Summary

Constructors
Constructor and Description
`ConsoleController(Model model)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addTextToConsole(java.lang.String text)` Print Text on the console in black and font size 12.
`void` `addTextToConsole(java.lang.String text, java.awt.Color color, int p, boolean bold, boolean italic, boolean nl)` Print Text on the console.
`void` `clearConsole()` Clears the console.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ConsoleController

    public ConsoleController(Model model)

Constructor.

Parameters:
  `model` - the Model

### Method Detail

#### addTextToConsole

    public void addTextToConsole(java.lang.String text,
                                 java.awt.Color color,
                                 int p,
                                 boolean bold,
                                 boolean italic,
                                 boolean nl)

Print Text on the console.

Parameters:
  `text` - String the Text
  `color` - the color of the Text
  `p` - size of the Text
  `bold` - bold or not
  `italic` - italic or not
  `nl` - new line or not

#### addTextToConsole

    public void addTextToConsole(java.lang.String text)

Print Text on the console in black and font size 12.

Parameters:
  `text` - String the Text

#### clearConsole

    public void clearConsole()

Clears the console.